# Create Bootstrap Theme
Helps to create css file with color variables

1. Create repository on github:InComNetworking . Example is `vue-bootstrap-theme-dark`.
  Replace **name** with your component name. like `vue-bootstrap-theme-dark`

2. Clone repository localy.

3. Init default component structure.
  You have to run this command from folder above your local folder for repository
  ```
npm create @incom/bootstrap-theme vue-bootstrap-theme-dark

Need to install the following packages:
  @incom/create-bootstrap-theme@1.0.1
Ok to proceed? (y)
? What is the name of the theme package vue-bootstrap-theme-dark
? What is the name of the theme. User friendly. Dark Theme
? How would you descripe theme Dark background based theme
info Created vue-bootstrap-theme-dark/.eslintrc.cjs
info Created vue-bootstrap-theme-dark/.gitattributes
info Created vue-bootstrap-theme-dark/.env
info Created vue-bootstrap-theme-dark/LICENSE.txt
info Created vue-bootstrap-theme-dark/.stylelintrc.json
info Created vue-bootstrap-theme-dark/_gitignore
info Created vue-bootstrap-theme-dark/.editorconfig
info Created vue-bootstrap-theme-dark/README.md
info Created vue-bootstrap-theme-dark/.eslintignore
info Created vue-bootstrap-theme-dark/main.js
info Created vue-bootstrap-theme-dark/style.scss
info Created vue-bootstrap-theme-dark/index.html
info Created vue-bootstrap-theme-dark/vite.config.js
info Created vue-bootstrap-theme-dark/package.json
info Created vue-bootstrap-theme-dark/default.png
info Created vue-bootstrap-theme-dark/dev/InterfaceText.js
info Created vue-bootstrap-theme-dark/dev/CDN.development.js
info Created vue-bootstrap-theme-dark/dev/App.vue
info Created vue-bootstrap-theme-dark/dev/main.js
info Moved vue-bootstrap-theme-dark/_gitignore -> vue-bootstrap-theme-dark/.gitignore
success Initialized empty Git repository
success Installed packages
success Generated into vue-bootstrap-theme-dark

```

4. Start your local dev server:
```
cd vue-bootstrap-theme-dark
npm run dev

  VITE v3.0.2  ready in 363 ms

  ➜  Local:   http://localhost:5173/
  ➜  Network: use --host to expose

```

5. Your theme scss code is in  file : style.scss

Next files is help files to develop component:
```
dev:
  App.vue

  main.js
```
