module.exports = {
  prompts() {
    return [
      {
        name: "name",
        message: "What is the name of the theme package",
        default: this.outFolder,
        filter: (val) => val.toLowerCase(),
      },
      {
        name: "title",
        message: "What is the name of the theme. User friendly.",
        default: this.outFolder,
      },
      {
        name: "description",
        message: "How would you descripe theme",
        default: `Theme description`,
      },
    ];
  },
  actions: function () {
    return [
      {
        type: "add",
        files: "**",
      },
      {
        type: "move",
        patterns: {
          "src/vue-widget-component.vue": `src/${this.answers.name}.vue`,
          "_gitignore": ".gitignore",
        },
      },
    ];
  },
  async completed() {
    this.gitInit();
    await this.npmInstall();
    this.showProjectTips();
  },
};
