// Create App
import { createApp } from "vue";
import App from "@/App.vue";
window.APP = createApp(App);


// Short Code names for phrases
import InterfaceTextPlugin from "interface-text";
import InterfaceText from "@/InterfaceText";
window.APP.use(InterfaceTextPlugin, InterfaceText);

// v-tooltip directive
import TooltipBootstrap from "vue-bootstrap-tooltips";
window.APP.use(TooltipBootstrap);

// modal-form component
import ModalView from "@gormartsen/vue-bootstrap-modal";
window.APP.use(ModalView);

// offcanvas component
import OffcanvasView from "@gormartsen/vue-bootstrap-offcanvas";
window.APP.use(OffcanvasView);

// v-popover directive
import PopoversView from "@gormartsen/vue-bootstrap-popovers";
window.APP.use(PopoversView);


window.APP.mount("#app");
